# Copyright © VNG Realisatie 2022
# Licensed under the EUPL

linters-settings:
  govet:
    shadow: true
  gocyclo:
    min-complexity: 10
  dupl:
    threshold: 100
  goconst:
    min-len: 2
    min-occurrences: 2
  funlen:
    lines: 100
  misspell:
    locale: US
    ignore-words:
      - productie
  gocritic:
    enabled-tags:
      - diagnostic
      - performance
      - style
      - experimental
    disabled-checks:
      - wrapperFunc
      - commentFormatting
  goimports:
    local-prefixes: gitlab.com/commonground/nlx/fsc-nlx
  revive:
    rules:
      - name: unexported-return
        disabled: true
  copyloopvar:
    check-alias: true

linters:
  disable-all: true
  enable:
    - bodyclose
    - copyloopvar
    - dogsled
    - dupl
    - errcheck
    - funlen
    - gochecknoinits
    - gocognit
    - goconst
    - gocritic
    - gocyclo
    - godox
    - gofmt
    - goimports
    - mnd
    - goprintffuncname
    - gosec
    - gosimple
    - govet
    - ineffassign
    - misspell
    - nakedret
    - prealloc
    - revive
    - rowserrcheck
    - staticcheck
    - stylecheck
    - typecheck
    - unconvert
    - unparam
    - unused
    - whitespace
    - wsl

  # Not enabled (yet)
  # - asciicheck
  # - go-err113
  # - godot
  # - gomodguard
  # - nestif
  # - nolint
  # - testpackage

  # Don't enable
  # - depguard
  # - gochecknoglobals
  # - lll

# run:
#   skip-dirs:

run:
  build-tags:
    - integration

issues:
  exclude-rules:
    - text: "weak cryptographic primitive"
      linters:
        - gosec
